Trying to run Me but can't seem to update anything

September 24, 2012 at 06:45:08
Specs: Windows Me, P-4 128 Mb
I'm trying to set up my old computer for my sister. I have the original P-4 with 128mb, installed the original Me and find I can't use Window's Update or update my IE5. Any suggestions? She will only use it for Facebook and checking mail. I am online but most pages will not load.

See More: Trying to run Me but cant seem to update anything

Report •

September 24, 2012 at 08:30:00
Windows ME was a terrible version of Windows, it was "rushed out of the gates" because XP was not ready & Microsoft was afraid many people would abandon Windows altogether if a new version wasn't ready. The result was Windows ME, and they made a right botch of it (I know because I was one of it's unfortunate users).

Your best option is to upgrade the RAM (minum 500MB) and put Windows XP on it. Anything earlier than XP these days, and anything less than 500MB RAM) is absolutley not good enough.

Report •

September 24, 2012 at 08:34:26
What happens when you try to run Windows Update? MS dropped support for Win9x/ME over 6 yrs ago so even if you get the Updates to work, you'll still be 6 yrs behind. I doubt you're going to find many sites that still support IE5, that's probably why most pages won't load. IE5.5 & IE6 aren't going to be much better but you may be able to run a newer version of Firefox or Opera. I've run KMeleon with some success.

You're also going to have a hard time finding security software for WinME. You'd be better off installing a modern lightweight version of Linux instead of a 12 yr old version of Windows. However, 128MB RAM is going to hold you back no matter which OS you install.

Report •

September 24, 2012 at 20:40:23
You should be able to find downloads for IE 6 or I believe it's on AOL installation disks. But I've had problems with IE 6 when on ebay, paypal and with online banking--links aren't where they're supposed to be and some pages just won't load. You're probably better off with a non-IE browser.

Report •

Related Solutions

September 25, 2012 at 21:25:07
Windows Update for Windows 95, and Windows 98, Windows 98 SE and Windows ME no longer works.

I noticed those links broke sometime in the last several months.

The most up to date browser you will can install on Windows 98, Windows 98SE and Windows ME without modifying the operating system is Opera 10.61 released August 12, 2010. I strongly recommend you choose the "classic" download.

The most up to date browser you can install on Windows 98, Windows 98SE and Windows ME by using the KernelEX compatibility layer is Opera 11 and up.

For any new software to run on Windows 98, Windows 98SE and Windows ME, you will likely require at least Windows Installer 2.0 for Windows 95, Windows 98, and Windows ME. (My alternate link)

Report •

September 29, 2012 at 13:35:13
I have a friend running Me with 256Mb memory on a PIII 1.0Ghz machine. Kmeleon works as well as can be expected and better than anything else. Puppy 4 is about the same.

"As well as can be expected" is a long drawn out term for "painful".

Anything on dial up is simply impossible to describe.

Audares Juvo

Report •

Ask Question